# Uses of Class
com.ngrok.definitions.EventDestination

Packages that use EventDestination
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EventDestination in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type EventDestination
  Modifier and Type
  Method
  Description
  `List<EventDestination>`
  EventDestinationList.`getEventDestinations()`
  The list of all Event Destinations on this account.
  Constructor parameters in com.ngrok.definitions with type arguments of type EventDestination
  Modifier
  Constructor
  Description
  ``
  `EventDestinationList(List<EventDestination> eventDestinations, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `EventDestinationList`.

- ## Uses of EventDestination in com.ngrok.services

  Methods in com.ngrok.services that return EventDestination
  Modifier and Type
  Method
  Description
  `EventDestination`
  EventDestinations.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EventDestination`
  EventDestinations.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EventDestination`
  EventDestinations.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EventDestination
  Modifier and Type
  Method
  Description
  `CompletionStage<EventDestination>`
  EventDestinations.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EventDestination>`
  EventDestinations.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EventDestination>`
  EventDestinations.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.